PHP Manual
Prev |  | Next

# mssql_bind

(PHP 4 >= 4.1.0, PHP 5)

mssql_bind -- Adds a parameter to a stored procedure or a remote stored procedure

## Description

bool mssql_bind ( resource stmt, string param_name, mixed &var, int type [, int is_output [, int is_null [, int maxlen]]] )

Binds a parameter to a stored procedure or a remote stored procedure.

## Parameters

`stmt`

  Statement resource, obtained with mssql_init().

`param_name`

  The parameter name, as a string.

  > Note: You have to include the `@` character, like in the T-SQL syntax. See the explanation included in mssql_execute().

`var`

  The PHP variable you'll bind the MSSQL parameter to. You can pass it by value, or by reference, to retrieve OUTPUT and RETVAL values after the procedure execution.

`type`

  One of: `SQLTEXT`, `SQLVARCHAR`, `SQLCHAR`, `SQLINT1`, `SQLINT2`, `SQLINT4`, `SQLBIT`, `SQLFLT4`, `SQLFLT8`, `SQLFLTN`.

`is_output`

  Wether the value is an OUTPUT parameter or not. If it's an OUTPUT parameter and you don't mention it, it will be treated as a normal input parameter and no error will be thrown.

`is_null`

  Wether the parameter is `NULL` or not. Passing the `NULL` value as `var` will not do the job.

`maxlen`

  Used with char/varchar values. You have to indicate the length of the data so if the parameter is a varchar(50), the type must be `SQLVARCHAR` and this value `50`.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. mssql_bind() Example

`<?php $cn = mssql_connect($DBSERVER, $DBUSER, $DBPASS); mssql_select_db($DB, $cn); $sp = mssql_init("WDumpAdd"); // stored proc name mssql_bind($sp, "@productname", stripslashes($newproduct), SQLVARCHAR, false, false, 150); mssql_bind($sp, "@quantity", stripslashes($newquantity), SQLVARCHAR, false, false, 50); mssql_execute($sp); mssql_close($cn); ?>`

## See Also

mssql_execute()
mssql_free_statement()
mssql_init()

Prev | Home | Next
Microsoft SQL Server Functions | Up | mssql_close